<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>For</title>
</head>

<body>
    <script>
        // --------------------------------------------
        // ----- Ülesanne 1
        // --------------------------------------------
        // Prindi ekraanile numbrid 7-st 17-ni, kasutades klassikalist for-tsüklit.
        for (let i = 7; i <= 17; i++) { // JAVA: for (int i = 7; i <= 17; i++) {
            console.log(i) // JAVA: System.out.println(i)
        }

        // --------------------------------------------
        // ----- Ülesanne 2
        // --------------------------------------------
        // Prindi ekraanile numbrid 17-st 1-ni, kasutades klassikalist for-tsüklit.
        for (let i = 17; i > 0; i--) {
            console.log(i)
        }

        // --------------------------------------------
        // ----- Ülesanne 3
        // --------------------------------------------
        // On antud massiiv isikutest.
        const persons = [
            { firstName: 'Kadin', lastName: 'Ross', gender: 'F' },
            { firstName: 'Nayeli', lastName: 'Kent', gender: 'F' },
            { firstName: 'Arthur', lastName: 'Fritz', gender: 'M' },
            { firstName: 'Lainey', lastName: 'Goy', gender: 'F' },
            { firstName: 'Donovan', lastName: 'Benitez', gender: 'M' },
            { firstName: 'Tristen', lastName: 'Duke', gender: 'M' },
            { firstName: 'Aliya', lastName: 'Hester', gender: 'F' },
            { firstName: 'Chris', lastName: 'Washington', gender: 'M' },
            { firstName: 'Isabell', lastName: 'Park', gender: 'F' },
        ]

        // 3.1 Prindi nende eesnimed ekraanile, kasutades foreach-tsüklit.
        // for (const x of persons) {
        //     console.log(x.firstName)
        // }

        // 3.2 Prindi ekraanile ainult naiste ees- ja perenimed.
        //   for (let i = 0; i < persons.length; i++) {
        //     if (persons[i].gender === 'F') {
        //         console.log(persons[i].firstName + ' ' + persons[i].lastName)
        //     }
        //   }

        // for (let person of persons) {
        //     if (person.gender === 'F') {
        //         console.log(person.firstName + ' ' + person.lastName)
        //     }
        // }

        // 3.3 Prindi ekraanile kõigi isikute eesnimed, mis algavad "A" tähega. Kasuta selleks while-tsüklit.
        //   "nimi".substr(0, 1)
        // "nimi".charAt(0)
        let i = 0
        while(i < persons.length) {
            if (persons[i].firstName.charAt(0) === 'A') {
                console.log(persons[i].firstName)
            }
            i++
        }

    </script>
</body>

</html>